Bug 826645 - Review Request: velocity-tools - Collection of useful tools for Velocity template engine
Review Request: velocity-tools - Collection of useful tools for Velocity temp...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patryk Obara
Fedora Extras Quality Assurance
:
Depends On: 825825 826647
Blocks: 836218
  Show dependency treegraph
 
Reported: 2012-05-30 12:55 EDT by gil cattaneo
Modified: 2013-03-13 00:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-05 17:20:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pobara: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-30 12:55:38 EDT
Spec URL: http://gil.fedorapeople.org/velocity-tools.spec
SRPM URL: http://gil.fedorapeople.org/velocity-tools-2.0-1.fc16.src.rpm
Description: The VelocityTools project is a collection of useful Java classes (aka tools),
as well as infrastructure to easily, automatically and transparently
make these tools available to Velocity templates.

Project include easy integration of Velocity into the view-layer of
web applications (via the VelocityViewTag and
VelocityViewServlet) and integration with Struts 1.x applications.
Fedora Account System Username: gil
Comment 1 Patryk Obara 2012-07-11 07:41:22 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
$ rpmlint SPECS/velocity-tools.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/velocity-tools-2.0-1.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/noarch/velocity-tools-2.0-1.fc17.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/noarch/velocity-tools-javadoc-2.0-1.fc17.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 883ff873be49f55b53cae8eb0d115608  velocity-tools-2.0-src.tar.gz
MD5SUM upstream package: 883ff873be49f55b53cae8eb0d115608  velocity-tools-2.0-src.tar.gz
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[!]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[x]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:
/home/dreamer_/rpmbuild/SRPMS/velocity-tools-2.0-1.fc17.src.rpm

=== Final Notes ===
1. There's not description, why tests are skipped (I suspect missing dependencies, since they are listed and commented out); add comment about that; you can do this at import time, it's minor issue :) 


================
*** APPROVED ***
================
Comment 2 Patryk Obara 2012-07-11 07:42:14 EDT
ops, pasted wrong line for koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4233269
Comment 3 gil cattaneo 2012-07-11 08:01:03 EDT
New Package SCM Request
=======================
Package Name: velocity-tools
Short Description: Collection of useful tools for Velocity template engine
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2012-07-14 22:34:40 EDT
Git done (by process-git-requests).
Comment 5 Andy Grimm 2012-07-27 16:33:38 EDT
looks like this is at least in rawhide now.  Should this issue be closed?
Comment 6 Fedora Update System 2012-07-27 21:14:30 EDT
velocity-tools-2.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/velocity-tools-2.0-1.fc17
Comment 7 Fedora Update System 2012-07-28 20:54:16 EDT
velocity-tools-2.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-08-05 17:20:15 EDT
velocity-tools-2.0-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.